Bug 7764 - INSTALL.ubuntu needs to be updated
Summary: INSTALL.ubuntu needs to be updated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: M. Tompsett
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-21 05:25 UTC by Srdjan Jankovic
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
rough draft not even close to done (79.06 KB, patch)
2013-09-02 02:44 UTC, M. Tompsett
Details | Diff | Splinter Review
bug clean ubuntu docs (78.99 KB, patch)
2013-09-09 13:29 UTC, M. Tompsett
Details | Diff | Splinter Review
bug clean ubuntu docs (71.66 KB, patch)
2013-09-09 18:22 UTC, M. Tompsett
Details | Diff | Splinter Review
bug clean ubuntu docs (71.54 KB, patch)
2013-09-10 14:42 UTC, M. Tompsett
Details | Diff | Splinter Review
bug clean ubuntu docs (71.54 KB, patch)
2013-09-11 13:43 UTC, M. Tompsett
Details | Diff | Splinter Review
bug clean ubuntu docs (71.54 KB, patch)
2013-09-11 13:44 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 7764 - INSTALL.ubuntu needs to be updated (71.97 KB, patch)
2013-09-18 06:27 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 7764 - INSTALL.ubuntu needs to be updated (72.07 KB, patch)
2013-09-24 14:54 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 7764 - INSTALL.ubuntu needs to be updated (72.13 KB, patch)
2013-09-24 15:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 7764 - INSTALL.ubuntu needs to be updated (72.36 KB, patch)
2013-09-27 22:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Srdjan Jankovic 2012-03-21 05:25:55 UTC
* install_misc/ubuntu.packages: liblocale-currency-format-perl needs to be added
* INSTALL.ubuntu: section 1.6 from INSTALL.ubuntu needs removing
Comment 1 Srdjan Jankovic 2012-03-21 05:37:50 UTC
Also:
* INSTALL.ubuntu: section 2.4 needs removing
Comment 2 Zeno Tajoli 2012-03-21 08:52:20 UTC
In fact all INSTALL.* files need to be update to insert
the option of background indexing with Zebra.
See bug 7759
Comment 3 M. Tompsett 2013-08-31 23:11:44 UTC
Working on a "source-based" install set of instructions now.
Comment 4 M. Tompsett 2013-09-02 02:44:17 UTC Comment hidden (obsolete)
Comment 5 M. Tompsett 2013-09-09 13:29:06 UTC Comment hidden (obsolete)
Comment 6 M. Tompsett 2013-09-09 18:22:46 UTC Comment hidden (obsolete)
Comment 7 M. Tompsett 2013-09-10 14:42:27 UTC Comment hidden (obsolete)
Comment 8 M. Tompsett 2013-09-11 13:43:30 UTC Comment hidden (obsolete)
Comment 9 M. Tompsett 2013-09-11 13:44:42 UTC Comment hidden (obsolete)
Comment 10 M. Tompsett 2013-09-18 06:27:06 UTC Comment hidden (obsolete)
Comment 11 M. Tompsett 2013-09-24 14:54:31 UTC Comment hidden (obsolete)
Comment 12 Tomás Cohen Arazi 2013-09-24 15:25:08 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2013-09-27 22:03:47 UTC
Created attachment 21531 [details] [review]
[PASSED QA] Bug 7764 - INSTALL.ubuntu needs to be updated

This is a major rework. Key improvements include:
- Removed confusing multiple versions for Ubuntu leaving only one set
  of instructions.
- The packages koha-deps and koha-perldeps are used.
- License has been updated to reflect GPL3.
- More wiki reference links have been included.
- It is aimed to be based on source, not just tarball or just git.
- Sample output has been cut as much as possible.
- Almost cut-and-paste easy, making it friendlier than INSTALL.debian.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Fixed a tiny typo: seperate
Makes all sense to me - only wondering a bit about the recommendation
of using lynx for the web installer.
Quite an improvement, so passing QA.
Comment 14 M. Tompsett 2013-09-28 01:11:32 UTC
The reason for lynx for the web browser portion of the install is to facilitate text-only servers without having to try to get them to understand apache and network configuration. If you know of another text-only browser, I'd be more than willing to try that. :)
Comment 15 Katrin Fischer 2013-09-28 09:59:53 UTC
But after running the web installer... how would you continue to do anything with your freshly installed Koha if you had no access to it from outside and no graphical interface on your server?
Comment 16 M. Tompsett 2013-09-28 13:21:40 UTC
The scope of the instructions are to get a Koha installation functional, not necessarily usable. If the concern is usability, the instructions would need to include a whole segment on networking, which is beyond the scope of Koha installation. This is why they repeatedly suggest requesting assistance from a system administrator, network administrator or IT department.
Comment 17 Katrin Fischer 2013-09-28 13:41:32 UTC
I was just thinking why make it harder than it has to be - it could say... or use your browser instead.
Comment 18 M. Tompsett 2013-09-28 13:49:08 UTC
Because someone somewhere is going to try this from scratch, because they are installing Koha for the first time and know nothing of Linux. Saying just use a browser, and expecting the networking portion of the problem to just work is fanciful dreaming. It most likely won't.

It is about managing expectations. People expect the instructions to work. This method just works. Yes, they'll be wondering, "So how do I use it now?" but they won't be going "Why are these instructions broken?" Which problem would you prefer?
Comment 19 Galen Charlton 2013-10-04 16:30:22 UTC
Pushed to master, along with a follow-up to direct people to the wiki instructions for installing Koha on Ubuntu from packages for production.  Thanks, Mark!
Comment 20 Tomás Cohen Arazi 2013-11-13 19:49:59 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Mark!